Arch Floor/pt: Difference between revisions

From FreeCAD Documentation
(Created page with "{{docnav/pt|Rebar|Building Part|Arch|IconL=Arch_Rebar.svg |IconC=Workbench_Arch.svg |IconR=Arch_BuildingPart.svg}}")
(Updating to match new version of source page)
 
(10 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav/pt|[[Arch_Rebar|Rebar]]|[[Arch_BuildingPart|Building Part]]|[[Arch_Module|Arch]]|IconL=Arch_Rebar.svg |IconC=Workbench_Arch.svg |IconR=Arch_BuildingPart.svg}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{docnav/pt|[[Arch_Rebar|Rebar]]|[[Arch_BuildingPart|Building Part]]|[[Arch_Workbench|Arch]]|IconL=Arch_Rebar.svg |IconC=Workbench_Arch.svg |IconR=Arch_BuildingPart.svg}}
{{GuiCommand/pt|Name=Arch Floor|Name/pt=Arch Floor|Workbenches=[[Arch Module/pt|Arch]]|MenuLocation=Arch → Floor|Shortcut=F L|SeeAlso=[[Arch Building/pt|Arch Building]], [[Arch Site/pt|Arch Site]]}}
</div>

<div class="mw-translate-fuzzy">
{{GuiCommand/pt|Name=Arch Floor|Name/pt=Arch Floor|Workbenches=[[Arch_Workbench/pt|Arch]]|MenuLocation=Arch → Floor|Shortcut=F L|SeeAlso=[[Arch Building/pt|Arch Building]], [[Arch Site/pt|Arch Site]]}}
</div>
</div>


Line 12: Line 15:
</div>
</div>


Starting from FreeCAD 0.18, the Arch Floor is derived entirely from the [[Arch BuildingPart|Arch BuildingPart]] object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing {{incode|Convert to BuildingPart}}.
As of {{VersionPlus|0.18}} the Arch Floor is derived entirely from the [[Arch BuildingPart|Arch BuildingPart]] object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing {{incode|Convert to BuildingPart}}.


==Como usar==
==Como usar==
Line 23: Line 26:
==Options==
==Options==


* After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add]]}} tool.
* After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add|Arch Add]]}} tool.
* You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove]]}} tool.
* You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Arch Remove]]}} tool.


==Properties==
==Properties==


An Arch Floor object shares all properties from an [[Arch BuildingPart|Arch BuildingPart]], with the {{PropertyData|Ifc Role}} set to {{incode|"Building Storey"}}.
An Arch Floor object shares all properties from an [[Arch BuildingPart|Arch BuildingPart]], with the {{PropertyData|Ifc Type}} set to {{incode|"Building Storey"}}.


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Arch API|Arch API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


The Floor tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Floor tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
Line 41: Line 44:


Example:
Example:

{{Code|code=
{{Code|code=
import FreeCAD, Draft, Arch
import FreeCAD, Draft, Arch
Line 59: Line 63:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{docnav/pt|[[Arch_Rebar|Rebar]]|[[Arch_BuildingPart|Building Part]]|[[Arch_Workbench/pt|Arch]]|IconL=Arch_Rebar.svg |IconC=Workbench_Arch.svg |IconR=Arch_BuildingPart.svg}}
[[Category:Arch/pt]]
</div>
</div>


{{Arch Tools navi}}
{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

{{Userdocnavi}}

Latest revision as of 13:53, 9 March 2022

Arch Floor

Localização do menu
Arch → Floor
Bancadas de trabalho
Arch
Atalho padrão
F L
Introduzido na versão
-
Veja também
Arch Building, Arch Site

Descrição

O piso "Arch" é um tipo especial de grupo do FreeCAD que tem algumas propriedades adicionais particularmente ajustadas aos piso dos edifícios. Em particular a propriedade altura, que os objetos nele contidos (paredes e estruturas) podem usar para definir a sua própria altura automaticamente. Estes são usados principalmente para organizar o modelo.

As of version 0.18 and above the Arch Floor is derived entirely from the Arch BuildingPart object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing Convert to BuildingPart.

Como usar

  1. Opcionalmente, selecione um ou mais objetos para serem incluídos no seu novo piso
  2. Pressione o icone Piso Arch ou pressione as teclas F e L

Options

  • After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the Arch Remove tool.

Properties

An Arch Floor object shares all properties from an Arch BuildingPart, with the DadosIfc Type set to "Building Storey".

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Floor tool can be used in macros and from the Python console by using the following function:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Creates a Floor object from objectslist, which is a list of objects.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()